package com.qmth.boot.core.rateLimit.entity;

public enum RateLimitScope {

    CLUSTER(""), INSTANCE("i");

    private String code;

    private RateLimitScope(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public static RateLimitScope findByCode(char code) {
        return INSTANCE.getCode().equalsIgnoreCase(String.valueOf(code)) ? INSTANCE : null;
    }
}

