package com.qmth.boot.core.retrofit.config;

import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotNull;
import java.time.Duration;

@Validated
public class RetryProperties {

    @NotNull
    private Integer count = 3;

    @NotNull
    private Duration interval = Duration.ofMillis(300);

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Duration getInterval() {
        return interval;
    }

    public void setInterval(Duration interval) {
        this.interval = interval;
    }
}
